;-------------------------------------------------------------------------
;				Read Flash / EEPROM
;-------------------------------------------------------------------------
;input:	addrh, addrl = address
Read:	rcall	rdbyte
	rcall	putchar
	adiw	addrh:addrl, 1
	rcall	getchar
	cpi	a0, key_continue
	breq	read
	ret
;
rdbyte:	movw	zh:zl, addrh:addrl
	lpm	a0, z			;read Flash
	sbrs	flags, f_eeprom
	ret
	out	EEARL, addrl		;read EEPROM
	out	EEARH, addrh
	sbi	EECR, EERE
	in	a0, EEDR
	ret
;-------------------------------------------------------------------------
